/**
 * XRoleClassCredentialedEntity2.java
 *
 * File generated from the medication2::XRoleClassCredentialedEntity2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XRoleClassCredentialedEntity2.
 *
 * 
 */

@XmlType(name = "XRoleClassCredentialedEntity")
@XmlEnum
@XmlRootElement(name = "XRoleClassCredentialedEntity2")
public enum XRoleClassCredentialedEntity2 {
	@XmlEnumValue("ASSIGNED")
	ASSIGNED("ASSIGNED"),
	@XmlEnumValue("QUAL")
	QUAL("QUAL"),
	@XmlEnumValue("LIC")
	LIC("LIC"),
	@XmlEnumValue("NOT")
	NOT("NOT"),
	@XmlEnumValue("PROV")
	PROV("PROV");
	
	private final String value;

    XRoleClassCredentialedEntity2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XRoleClassCredentialedEntity2 fromValue(String v) {
        for (XRoleClassCredentialedEntity2 c: XRoleClassCredentialedEntity2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
